
Foreman - Bug #4557

"Undefined Method" is raised in FiltersHelper#resource_path when resource is defined in a

namespaced plugin

03/05/2014 02:36 PM - Anonymous

Status: Closed   

Priority: Normal   

Assignee:    

Category: Users, Roles and Permissions   

Target version: 1.5.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Backtrace:

ActionView::Template::Error (undefined method `foreman_setup/provisioners_path' for

#<#<Class:0x007fd081927030>:0x007fd084404cd0>):

45:

46:         <%= autocomplete_f f, :search,

47:                            :disabled => f.object.unlimited?,

48:                            :path => resource_path(f.object.resource_type), :control_group_id => 'search_group' %>

49:       </div>

50:     </div>

51:

app/helpers/filters_helper.rb:20:in `resource_path'

Related issues:

Has duplicate Foreman - Bug #4554: Editing filter on namespaced resource type... Duplicate 03/05/2014

Has duplicate Foreman - Bug #4603: RBAC UI - plugin permissions not properly ... Duplicate 03/09/2014

Blocks Foreman - Tracker #4552: New permissions/authorization system issues New

Associated revisions

Revision 35da973f - 03/12/2014 09:17 AM - Dmitri Dolguikh 

fixes #4557: namespaced and mounted plugins no longer cause crash on the filter screen

History

#1 - 03/05/2014 02:41 PM - Dominic Cleal

- Blocks Tracker #4552: New permissions/authorization system issues added

#2 - 03/05/2014 02:41 PM - Dominic Cleal

- Has duplicate Bug #4554: Editing filter on namespaced resource type fails with undefined method `foreman_setup/provisioners_path' added

#3 - 03/05/2014 03:00 PM - Marek Hulán

I thought it was resolved in katello patch, here's the snippet that should do the trick

object_path = f.object.resource_type.pluralize.underscore

if object_path.include?('/')

  prefix, suffix = object_path.split('/', 2)

  send(prefix).send(suffix + '_path')

else

  send("#{object_path}_path")

end

 a FilterHelper#resource_path (app/helpers/filters_helper.rb) should be adapted to this snippet, that should fix it
#4 - 03/05/2014 03:43 PM - Anonymous

- Status changed from Assigned to Ready For Testing

PR: https://github.com/theforeman/foreman/pull/1273

#5 - 03/10/2014 08:18 AM - Dominic Cleal

- Has duplicate Bug #4603: RBAC UI - plugin permissions not properly found added

#6 - 03/12/2014 09:17 AM - Dominic Cleal

- translation missing: en.field_release set to 4

#7 - 03/12/2014 09:31 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 35da973fa7594c1e99c518e66a05f43a5068bdde.
